Subject: [Ltru] Re: Line lengths in RFC 4645bis

From: "Doug Ewell" <[email-masked]>
Date: Wed, 8 Aug 2007 23:59:36 -0700

Randy Presuhn <randy underscore presuhn at mindspring dot com> wrote:

>> How can I convey the correct line-breaking points to IANA so that the 
>> lines will come out right in the reloaded Registry?  This would be a 
>> particular problem for the Comments field for variant 'baku1926', 
>> which contains a relatively large number of non-ASCII characters.
>
> So it might have a few more lines than might theoretically be 
> possible.  This doesn't seem to me to be a real problem.

OK, I was just trying to
make sure the lines didn't
come out looking like this,
which might look a bit
ridiculous, but you're
right that it's not a
technical problem.  I'll
stop worrying about it.

Addison Phillips <addison at yahoo dash inc dot com> replied:

> We might also give IANA a record-jar parser (I have one handy) for 
> that task. A proper record-jar parser would read the I-D version 
> creating logical records and then reserialize as UTF-8. The fields in 
> the logical records consist of single (unlimited length) lines. The 
> wrapping/folding process is part of the serialization scheme.

I really like that idea.  Can you provide them (and me) with that tool? 
I'll send you the necessary IANA contacts.

> This doesn't affect the I-D (i.e. Randy's "don't worry about it"), but 
> if we give them a tool to help with the job, it should be tested on 
> the file ahead of time.

Absolutely.

--
Doug Ewell  *  Fullerton, California, USA  *  RFC 4645  *  UTN #14
http://users.adelphia.net/~dewell/
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru